Bug 445830 - weak-modules - error in usage() function.
weak-modules - error in usage() function.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: module-init-tools (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Jon Masters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-09 06:27 EDT by Alan Bartlett
Modified: 2008-09-18 07:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-17 20:05:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to correct issue. (941 bytes, patch)
2008-05-09 06:27 EDT, Alan Bartlett
no flags Details | Diff

  None (edit)
Description Alan Bartlett 2008-05-09 06:27:39 EDT
Description of problem: Usage message displays a flag as "-dry-run" when it
should be "--dry-run". Minor formatting corrections are also required to the
usage() function.


Version-Release number of selected component (if applicable):
module-init-tools-3.3-0.pre3.1.34.el5


How reproducible: Always.

Steps to Reproduce:
1. Invoke /sbin/weak-modules without any flag.
2. Look at usage message displayed.
3.
  
Actual results: -dry-run is shown


Expected results: --dry-run should be shown


Additional info: Patch provided.
Comment 1 Alan Bartlett 2008-05-09 06:27:39 EDT
Created attachment 304933 [details]
Patch to correct issue.
Comment 2 RHEL Product and Program Management 2008-07-21 19:02:57 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 RHEL Product and Program Management 2008-07-28 15:11:29 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Jon Masters 2008-09-17 20:04:44 EDT
This patch is already in module-init-tools.
Comment 6 Alan Bartlett 2008-09-18 07:56:00 EDT
(In reply to comment #5)
> This patch is already in module-init-tools.

Perhaps executing "sed 's/already/now/'" on the above statement would be appropriate . . .

Note You need to log in before you can comment on or make changes to this bug.